#
# spec file for package python-ec2utilsbase
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define upstream_name ec2utilsbase
Name:           python3-ec2utilsbase
Version:        3.0.0
Release:        bp153.1.15
Summary:        Shared EC2 utils functionality
License:        GPL-3.0+
Group:          System/Management
Url:            https://github.com/SUSE/Enceladus
Source0:        %{upstream_name}-%{version}.tar.bz2
Requires:       python3
Requires:       python3-boto3 >= 1.3.0
BuildRequires:  python3-boto3 >= 1.3.0
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

# Package renamed in SLE 12, do not remove Provides, Obsolete directives
# until after SLE 12 EOL
Provides:       python-ec2utilsbase = %{version}
Obsoletes:      python-ec2utilsbase < %{version}

%description
Shared functionality for various ec2utils

%prep
%setup -q -n %{upstream_name}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{python3_sitelib}/ec2utils
%{python3_sitelib}/*

%changelog
* Thu Aug 10 2017 rjschwei@suse.com
- Update to version 3.0.0
  + Convert to Python 3
* Thu Sep 15 2016 rjschwei@suse.com
- Update to version 2.0.2 (bsc#999019)
  + Coordinated release with other ec2utils
  + Fix install from source by properly setting up a namespace
* Sat Apr  9 2016 rjschwei@suse.com
- Update to version 2.0.1
  + Variable initialization to avoid exception
* Mon Mar 28 2016 rjschwei@suse.com
- Update to version 2.0.0 (bsc#972845)
  + Convert to boto3
  + Incompatible change, get_regions() has new required arguments
  + Incompatible change, return data structures changed due to switch
    to boto3
* Thu Feb 18 2016 rjschwei@suse.com
- Update to version 1.0.0 (bsc#966958)
  + Incompatible change, get_from_config() has new required argument
* Fri Nov 13 2015 rjschwei@suse.com
- Update to version 0.3.1 (bnc#954990)
  + Fix typo in exception name
* Tue Sep 22 2015 rjschwei@suse.com
- Update description in .spec file, cut and paste error
* Wed Aug 12 2015 rjschwei@suse.com
- Update to version 0.3.0, include in SLE 12 (FATE#319357)
  + Add new utility functions for image attribut searching
  + bug fixes
* Thu Jun 18 2015 rjschwei@suse.com
- Update to version 0.2.1
  + Fix syntax issues, argument and name mismatches
* Fri Jun 12 2015 rjschwei@suse.com
- Update to version 0.2.0
  + Implement functionality to be shared across utilities in a base class
  + code pep8 clean
* Sun May  3 2015 rjschwei@suse.com
- Initial build
  Version 0.1.0
